Bug 1130871 - Mapping Global Variables section of SwitchYard Development Guide Volume should show snapshot of Operation mapping tool of JBDS
Summary: Mapping Global Variables section of SwitchYard Development Guide Volume shoul...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Documentation
Version: 6.0.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 6.0.0
Assignee: nshendye
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 06:01 UTC by Musharraf Hussain
Modified: 2018-12-06 17:47 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22584, Development Guide Volume 1: SwitchYard-6-6 Build Date: 24-07-2014 12:31:55 Topic ID: 17057-638290 [Specified] JBDS 7
Last Closed: 2014-10-17 06:38:07 UTC
Type: Feature Request


Attachments (Terms of Use)
Rule_Component_Properties.png (242.22 KB, image/png)
2014-08-18 06:02 UTC, Musharraf Hussain
no flags Details
Implementation_Operations_Mapping.png (213.20 KB, image/png)
2014-08-18 06:03 UTC, Musharraf Hussain
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2357 Minor Open Update 'Operation Mappings' section in the SwitchYard Developer Guide 2015-04-23 09:26:36 UTC

Description Musharraf Hussain 2014-08-18 06:01:51 UTC
Title: Mapping Global Variables

Describe the issue:
- The community based documentation [1] of SwitchYard shows a snapshot of how to perform "Operation Mappings" through JBDS SwitchYard tooling plug-in . However, the "4.1.5.6. Mapping Global Variables" section of SwitchYard Development Guide [2] doesn't contain any such snapshot to guide users where to find the option to perform the mapping in JBDS SwitchYard tooling plug-in. 
- Attached are the snapshots "Rule_Component_Properties.png" and "Implementation_Operations_Mapping.png" which show how to find the Operations mappings UI in JBDS 7 .

[1] https://docs.jboss.org/author/display/SWITCHYARD/Rules
[2] https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Fuse_Service_Works/6/html-single/Development_Guide_Volume_1_SwitchYard/index.html#sect-Rules

Suggestions for improvement:
- In short, all users need to do is click on the "Properties" icon by hovering around right hand side of the Rule based component implementation in the SwitchYard tooling canvas of JBDS 7 . After that users would be able to see the properties for the Rule component. Now, click on "Implementation" tab from the left hand side menu and on the right hand side tabs choose "Operations" which is the "Operation Mappings" tooling window (quite similar to what is shown in the JBoss Developer documentation [1] of SwitchYard) .

[1] https://docs.jboss.org/author/display/SWITCHYARD/Rules

Additional information:
- NA

Comment 1 Musharraf Hussain 2014-08-18 06:02:53 UTC
Created attachment 927638 [details]
Rule_Component_Properties.png

Rule_Component_Properties.png

Comment 2 Musharraf Hussain 2014-08-18 06:03:38 UTC
Created attachment 927640 [details]
Implementation_Operations_Mapping.png

Implementation_Operations_Mapping.png

Comment 3 belong 2014-09-04 01:54:33 UTC
Nilam,

Please work on this in conjunction with Musharraf.

Thank you,
Ben

Comment 6 belong 2014-09-15 03:41:11 UTC
Nilam to create a SwitchYard JIRA to update community content.

Comment 7 nshendye 2014-09-26 08:45:26 UTC
Created SwitchYard JIRA to update community content. 

Link: https://issues.jboss.org/browse/SWITCHYARD-2357

Comment 10 Len DiMaggio 2014-10-08 11:58:48 UTC
Verified - the doc looks good!

Comment 11 nshendye 2014-10-09 06:52:59 UTC
Updated in the 'production-ready' copy of version 6.0 Development Guide 1: SwitchYard. 

DocBuilder Link: http://docbuilder.usersys.redhat.com/22584/#Mapping_Global_Variables

Comment 12 nshendye 2014-10-17 06:38:07 UTC
Published to customer portal.


Note You need to log in before you can comment on or make changes to this bug.